/* #region | INICIALIZAÇÃO */
@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&family=Roboto:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');


:root {
	--azul_padrao: #005da4;
	--azul-padrao: #005da4;
	--azul-claro: #0199f7;
	--menu__grupo-background--hover: #023367;


	--form__campos_height-GDE: 46px;
	--form__campos_height-PEQ: 34px;

	--form__campos_Height: var(--form__campos_height-GDE);

	--form__campos_fontSize-GDE: 1.4em;
	--form__campos_fontSize-PEQ: 1.1em;

	--form__campos_fontSize: var(--form__campos_fontSize-GDE);
}

a,abbr,address,article,aside,b,body,caption,center,code,dd,div,dl,dt,em,fieldset,figcaption,figure,footer,form,h1,h2,h3,h4,h5,h6,header,html,i,iframe,img,label,legend,li,menu,nav,object,ol,p,pre,section,span,strong,sub,sup,table,tbody,td,tfoot,th,thead,time,tr,u,ul{margin:0;padding:0;border:0;vertical-align:baseline}article,aside,figure,footer,header,hgroup,menu,nav,section{display:block}

body {
	position: relative;
	line-height: 1;
	margin: 0 0 3rem 0;
	background-color: #eaeaea;
}

ol,
ul {
	list-style: none
}

table {
	padding: 0;
	border: none;
	border-collapse: collapse;
	border-spacing: 0
}

img {
	border: none;
	max-width: 100%;
	height: auto;
}

a {
	background: transparent;
}

a:focus {
	outline: thin dotted
}

a:active,
a:hover,
button {
	outline: 0
}

* {
	font-family: 'Roboto', sans-serif;
	box-sizing: border-box
}

button,
input[type="submit"],
a.linkbotao-secundario {
	font-weight: 500;
	text-transform: uppercase;
	cursor: pointer;
}

button img,
button svg {
	pointer-events: none;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button,
input::-webkit-clear-button {
	-webkit-appearance: none;
	margin: 0
}

/* #endregion*/


/*#region | DIVERSOS */
.principal__geral>h1,
.principal__geral>h2,
.principal__geral>h3 {
	text-transform: uppercase;
	color: var(--azul-padrao);
	font-weight: 500;
}

.principal__geral>h1,
.principal__geral>h2 {
	padding-bottom: 5px;
	border-bottom: 1px solid var(--azul-padrao);
}

.principal__geral>h1 {
	font-size: 1.2rem;
}

.principal__geral>h2 {
	margin-bottom: 1rem;
	font-size: 1.1rem;
}

.principal__geral>h3 {
	margin-bottom: 1rem;
	font-size: 1rem;
}


h2.titulo-barra {
	width: 100%;
	padding: 6px 0 6px 20px;
	text-transform: uppercase;
	background-color: var(--azul-padrao);
	color: #fff;
	font-size: 1rem;
}

button:disabled {
	opacity: 0.3 !important;
	pointer-events: none;
}


.cabecalho-tela .interno,
.principal__geral,
.conteudo-largura-grande-fixa {
	width: 90vw;
	margin: 0 auto;
}


.cabecalho-tela .menu-principal .mpg__links a,
.menu-acoes__item {
	display: flex;
	align-items: center;
	column-gap: 15px;
	width: 100%;
	font-weight: 600;
	text-transform: uppercase;
	text-decoration: none;
	color: #dfdfdf;
	line-height: 1em;
	border-radius: 5px;

	&:hover {
		color: #fff;
		background-color: #0288ef;
	}
}
/*#endregion | DIVERSOS */



.menu-principal__overlay{
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.1);
	z-index: -1;
	pointer-events: none;
}

body.menu-principal-aberto{
	overflow-x: hidden;

	.principal__geral{
		filter: blur(3px);
	}
	
	.menu-principal__overlay{
		display: block;
		z-index: 99999;
		pointer-events: all;
	}
}



/* #region | CABECALHO TELA */
.cabecalho-tela {
	position: relative;
	width: 100%;
	padding: 10px 0;
	background-color: var(--azul-padrao);
	color: #fff;
	z-index: 99999;

	.interno {
		display: grid;
		grid-template-columns: 80px 1fr;
		column-gap: 30px;
		align-items: center;
		position: relative;

		.logo-titulo {
			.logo img {
				display: block;
				max-width: 100%;
			}

			.titulos {
				margin-top: 5px;
				font-size: 14px;
				font-size: 0.67rem;
				white-space: nowrap;
				text-transform: uppercase;
			}
		}

		.menus__area-geral {
			display: flex;
			justify-content: flex-end;
			position: relative;

			.botao-abrir-menu {
				display: grid;
			}

			.menu-principal-e-diversos {
				display: none;

				& a.link-versao-vendedor {
					display: grid;
					place-content: center;
					width: 240px;
					height: 50px;
					background-color: #0199f7;
					border-radius: 5px;
					font-family: 'Roboto Condensed';
					text-transform: uppercase;
					color: #fff;
					text-decoration: none;
				}

				.menu-principal {
					display: flex;
					width: 95%;
					margin-top: 20px;

					& > a{
						display: block;
						padding: 20px 20px 10px 0;
					}

					& > a,
					.mpg__titulo{
						color: #fff;
						font-weight: 700;
						text-transform: uppercase;
						text-decoration: none;
						border-radius: 7px 7px 0 0;
						white-space: nowrap;
					}

					.mp__grupo {
						position: relative;
						width: 100%;
						cursor: default;
						z-index: 88888;
						border-radius: 7px 7px 0 0;
						text-align: right;

						.mpg__titulo {
							display: block;
							padding: 20px 20px 10px 0;

							&::after{
								content: '\203A';
								margin-left: 20px;
								transform: scale(1.9) rotate(90deg);
								display: inline-block;
							}
						}

						.mpg__links {
							display: none;
							flex-direction: column;
							row-gap: 40px;
							padding: 20px;
							background: var(--menu__grupo-background--hover);
							border-radius: 0 7px 7px 5px;

							.mpg__sub-grupo{
								padding-top: 20px;
								border-top: 2px dotted #ccc
							}

							& a {
								display: flex;
								flex-direction: row-reverse;
								font-size: .8em;

								& img {
									width: 25px;
								}
							}
						}

						&.ativo{
							z-index: 99999;

							.mpg__titulo {
								background: var(--menu__grupo-background--hover);
							}

							.mpg__links {
								display: flex;
							}
						}
					}
				}

				.menu-secundario {
					display: flex;
					column-gap: 40px;
					margin-top: 2rem;

					& img {
						width: 42px;
						max-width: unset;
					}
				}


				&.disp_movel__ativo{
					display: flex;
					flex-direction: column;
					align-items: flex-end;
					row-gap: 20px;
					position: absolute;
					top: 45px;
					right: -5vw;
					width: 100vw;
					padding: 40px 5vw 40px 0;
					background: var(--azul-padrao);
					font-size: 1.4rem;

					.menu-principal {
						flex-direction: column;
						align-items: flex-end;
						row-gap: 30px;
					}
				}
			}
		}
	}
}

/* #endregion | CABECALHO TELA */



.menu_area_principal {
	display: grid;
	grid-gap: 1rem;
	grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
	margin-top: 12rem;
}
	.menu_area_principal {
		& a {
			display: flex;
			flex-direction: column;
			align-items: center;
			justify-content: center;
			row-gap: 10px;
			height: 120px;
			padding: 0 10px;
			font-size: 13px;
			font-weight: 400;
			text-align: center;
			line-height: 1.2em;
			background-color: #999;
			color: #fff;
			text-transform: uppercase;
			text-decoration: none;
			border-radius: 7px;
			transition: transform .3s, background-color .3s;
		}
			& a:hover {
				transform: scale(1.05);
				background-color: var(--azul-padrao);
			}

		@media (width >=700px) {
			grid-template-columns: repeat(4, 1fr);
		}

		@media (width >=1100px) {
			grid-template-columns: repeat(4, 220px);
		}
	}


.conteudo-largura-grande-fixa {
	overflow-x: auto;
	border-right: 5px dotted #333;

	& table,
	& .interno {
		width: 800px;

		@media (width >=900px) {
			width: 1340px;
		}
	}

	@media (width >=1440px) {
		border: none;
		overflow: unset;
	}
}


/* #region | PRINCIPAL */
.principal__geral {
	position: relative;
	margin-top: 2rem;
}

.principal {
	margin-top: 1rem;
}

/* #endregion*/



/* #region | BOTÕES */
.link-botao,
.link_acoes_diversas,
.botao_acoes_diversas,
.botao-padrao{
	padding: 7px 20px;
	background-color: var(--azul-padrao);
	color: white;
	border: none;
	border-radius: 7px;
	text-decoration: none;
	text-transform: uppercase;
	text-align: center;
}

.link-botao {
	display: grid;
	place-content: center;
	font-size: 1.2rem;
}

.link-botao:hover {
	background-color: var(--azul-claro);
}

.link_acoes_diversas:hover,
.botao_acoes_diversas:hover,
.botao-padrao:hover {
	background-color: var(--azul-claro);
}

.botao_auxiliar,
.botao-auxiliar,
.botao-secundario,
.linkbotao-secundario,
.botao_auxiliar_excluir {
	border: 1px solid #666;
	background-color: transparent;
	border-radius: 3px;
	text-decoration: none;
	text-align: center;
}

.botao-secundario,
.linkbotao-secundario {
	display: grid;
	place-content: center;
}

.botao_auxiliar:hover,
.botao-auxiliar:hover,
.botao-secundario:hover,
.linkbotao-secundario:hover {
	background-color: var(--azul-padrao);
	color: #fff;
}

.botao_auxiliar_excluir {
	color: red;

	&:hover {
		background-color: red;
		color: white;
	}
}
/* #endregion*/



/* #region | FORMULÁRIO */
input[type="radio"]:disabled,
input[type="checkbox"]:disabled {
	display: grid;
	place-items: center;
	position: relative;
	box-sizing: border-box;
	margin: 0;
}

input[type="radio"]:disabled:checked:after,
input[type="checkbox"]:disabled:checked:after {
	position: absolute;
	content: "";
	display: block;
	width: 15px;
	height: 15px;
	border-radius: 50%;
	background: #999;
}


form {
	font-size: 1rem;
}

fieldset {
	margin-bottom: 2rem;
}

fieldset legend {
	width: 100%;
	margin-bottom: 20px;
	padding: 7px 0 7px 20px;
	text-transform: uppercase;
	letter-spacing: 1px;
	background-color: var(--azul-padrao);
	color: #fff;
}

.form__campos,
.form__campos_nao_flex {
	margin-bottom: 15px;
}

.form__campos_nao_flex .form__campo {
	display: inline-block;
	margin-right: 30px;
}

.form__campos__radios_checks {
	display: flex;
	flex-direction: column;
	row-gap: 15px;
	margin-top: 10px;
}

.form__campos {
	display: flex;
	flex-direction: column;
	row-gap: 25px;
}

form.form__campos-flex-horizontal{
	--form__campos_Height: var(--form__campos_height-PEQ);
	--form__campos_fontSize: var(--form__campos_fontSize-PEQ);

	.form__campos{
		flex-direction: row;
		column-gap: 30px;
	}

	.form__campo {
		flex-grow: 1;
	}
}


.form__campo input[type=text],
.form__campo input[type=email],
.form__campo input[type=tel],
.form__campo input[type=number],
.form__campo input[type=date],
.form__campo textarea,
.form__campo select,
.form__campo input[type="file"],
.form__campo input[readonly] {
	width: 100%;
	height: var(--form__campos_Height);
	font-size: var(--form__campos_fontSize);
	font-weight: 500;
	text-indent: 10px;
	border: 2px solid #ccc;
	border-radius: 5px;
}

.form__campo>label {
	display: block;
	margin-bottom: 3px;
	font-weight: 500;
	color: var(--azul-padrao);
	text-transform: uppercase;
	letter-spacing: 1px;
}

.form__campo input[type=number] {
	text-align: right;
}

.form__campo textarea {
	padding-left: 10px;
	text-indent: 0;
}

.form__campo .label_radio,
.form__campo .label_checkbox {
	display: inline-flex;
	flex-direction: row;
	align-items: center;
	column-gap: 7px;
	margin-right: 20px;
	font-size: 1.1rem;
	font-weight: 500;
	text-transform: none;
}

.form__campo .label_radio span,
.form__campo .label_checkbox span {
	font-weight: 500;
	white-space: nowrap;
}

.form__campo input[type="radio"],
.form__campo input[type="checkbox"] {
	width: 22px;
	height: 22px;
	margin: 0;
}

.form__campo input[type="file"] {
	height: auto;
	padding: 3px 0;
	text-indent: 3px;
	background-color: white;
}

.form__campo__radio__grupo,
.form__campo__radio {
	display: flex;
	align-items: center;
	column-gap: 20px;
}

.form__campo__radio__grupo {
	height: 34px;
}

.form__campo__radio {
	display: flex;
	column-gap: 7px;
	font-weight: bold;
}



button[type="submit"],
button.botao-submeter {
	width: 100%;
	height: 52px;
	background-color: var(--azul-padrao);
	opacity: 0.7;
	color: #fff;
	font-size: 1.5rem;
	line-height: 1em;
	border-radius: 10px;
}

button[type="submit"]:hover,
button.botao-submeter:hover {
	opacity: 1;
}


input:required,
select:required {
	border: 2px solid #999 !important;
}

input:focus,
textarea:focus {
	box-shadow: 0 0 6px 1px #999;
}


.form__campo textarea[readonly],
.form__campo input[readonly] {
	background-color: #dadada;
	border-color: #ccc !important;
	pointer-events: none;
}

select.select--readonly {
	background-color: #dadada;
	color: #000;
	border-color: #ccc !important;
	opacity: 1;
}


.form__campo {
	&:has(input:required, select:required)>label {
		color: red;
	}

	&:has(input:required, select:required)>label:after {
		content: '*';
		margin-left: 5px;
	}
}


.formulario__campo-com-erro .form__campo:has(input:invalid) {
	padding: 10px;
	border: 3px solid red;
	background-color: #fed6d6;
}
/* #endregion | FORMULÁRIO*/



/* #region | INDICAÇÃO ATIVIDADE */
.indicacao_atividade {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	position: fixed;
	z-index: 99999999;
	top: 0;
	bottom: 0;
	width: 100%;
	height: 0;
	opacity: 0;
	transition: height 0ms 1000ms, opacity 1000ms 0ms;
	background: rgba(0 0 0 / 70%);
	overflow: hidden;
}

.indicacao_atividade__spinner,
.indicacao_atividade__spinner:after,
.indica_atividade__mensagem__spinner,
.indica_atividade__mensagem__spinner:after {
	border-radius: 50%
}

.indicacao_atividade__spinner,
.indica_atividade__mensagem__spinner {
	position: relative;
	border-style: solid;
	border-color: rgb(255, 255, 255) rgba(255, 255, 255, .2) rgba(255, 255, 255, .2) rgba(255, 255, 255, .2);
	border-width: 12px;
	transform: translateZ(0);
	animation: spinner 1s infinite linear;
	transition: opacity 1s 1s;
	opacity: 0;
}

.indicacao_atividade__spinner,
.indicacao_atividade__spinner:after {
	width: 180px;
	height: 180px;
}

.indicacao_atividade__mensagem {
	width: 80%;
	margin-top: 30px;
	color: #fff;
	text-align: center;
	font-size: 20px;
	font-weight: 700;
}

@keyframes spinner {
	0% {
		transform: rotate(0deg)
	}

	100% {
		transform: rotate(360deg)
	}
}


.indicacao_atividade--ativo {
	height: 100%;
	opacity: 1;
	transition: height 0ms 0ms, opacity 1000ms 0ms;
}

.indicacao_atividade--ativo .indicacao_atividade__spinner {
	opacity: 1;
}


.indicacao_atividade_com_mensagem,
.indicacao_atividade_sucesso,
.indicacao_atividade__erro {
	z-index: 999999;
	position: fixed;
	width: 400px;
	top: 250px;
	left: 50%;
	margin-left: -200px;
	text-align: center;
	border-radius: 3px;
	box-shadow: 0 0 9px 4px #808080;
	font-size: 18px;
	overflow: hidden
}

.indicacao_atividade_com_mensagem {
	padding: 30px 0;
	background: #fff
}

.indica_atividade__mensagem__spinner {
	border-width: 25px
}

.indica_atividade__mensagem__spinner,
.indica_atividade__mensagem__spinner:after {
	width: 80px;
	height: 80px
}

.indica_atividade__mensagem__mensagem {
	margin-top: 20px
}

/* #endregion*/



/* #region | MENSAGEM POPUP */
.mensagem_popup,
.mensagem_popup__alerta {
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	z-index: 99999;
}

.mensagem_popup {
	background: rgb(255, 255, 255, 0.6)
}

.mensagem_popup__alerta {
	background: rgb(0, 0, 0, 0.2)
}

.mensagem_popup__mensagem {
	background: white;
	position: fixed;
	top: 300px;
	left: 31%;
	right: 31%;
	text-align: center;
	box-shadow: 0 0 20px 0px #333;
	padding: 25px 0;
	transition: transform .3s;
	transform: scale(.3);
	font-size: 16px;
	font-weight: 600
}

.mensagem_popup__mensagem:before {
	display: block;
	width: 40px;
	height: 40px;
	line-height: 40px;
	;
	color: #fff;
	font-size: 24px;
	font-weight: 700;
	margin: 0 auto 10px auto;
	border-radius: 50%
}

.mensagem_popup .mensagem_popup__mensagem:before {
	background: #00ca74;
	content: "\2714"
}

.mensagem_popup__alerta .mensagem_popup__mensagem:before {
	background: #f00;
	content: "!"
}

/* #endregion*/



.botao_voltar_pesquisa__area {
	display: flex;
	justify-content: end;
}

.botao_voltar_pesquisa {
	position: absolute;
	top: -10px;
	right: 0;
}



/* #region | MENSAGENS DIVERSAS */
.observacao {
	font-size: .9em;
	font-style: italic;
	;
}

.mensagem_sucesso {
	padding: 20px 0;
	background-color: #dbdbdb;
	border: 1px solid #919191;
}

.mensagem-sucesso:before,
.mensagem_sucesso__texto:before {
	content: '\2714';
	display: grid;
	place-items: center;
	width: 60px;
	height: 60px;
	font-size: 2.4rem;
	background-color: green;
	color: #fff;
	border-radius: 50%;
}

.mensagem-sucesso {
	margin-top: 6rem;
}

.mensagem-sucesso,
.mensagem_sucesso__texto {
	display: flex;
	flex-direction: column;
	row-gap: 10px;
	align-items: center;
	font-size: 1.2rem;
	font-weight: 500;
	text-align: center;
}


.mensagem-sem-registro {
	margin-top: 5rem;
	color: #7f7f7f;
	text-align: center;
	font-size: 2rem;
	font-weight: 300;
	/* font-style: italic; */
}

/* #endregion | MENSAGEM SUCESSO INLINE */



/* #region | MODAL */
.modal_overlay {
	display: none;
	place-items: center;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgb(0 0 0 / 70%);
	z-index: 99999;
}

.modal_overlay__interno {
	background-color: #eaeaea;
}

.modal_overlay--ativo {
	display: grid;
}

.modal {
	display: flex;
	flex-direction: column;
	align-items: flex-end;
}

.modal__botao_fechar {
	display: block;
	width: 38px;
	height: 26px;
	font-size: 20px;
	color: red;
	background-color: white;
	border: none;
	border-radius: 5px 5px 0 0;
}

/* #endregion | MODAL */



/* #region | LIMITE CARACTERES */
.textarea__limite_caracteres {
	display: block;
	font-weight: 600;
	font-style: italic;
	color: #a00;
}

.textarea__limite_caracteres__campo__erro {
	border-color: #f00;
	background: #ffffd2
}

.textarea__limite_caracteres__campo__erro:focus {
	outline: none
}

.textarea__limite_caracteres__alerta {
	margin-top: 3px;
	color: #f00;
	font-size: 14px
}

.textarea__limite_caracteres__alerta:before {
	content: "!";
	background: #f00;
	width: 20px;
	height: 20px;
	display: inline-block;
	color: #fff;
	text-align: center;
	border-radius: 50%;
	font-size: 14px;
	line-height: 20px;
	margin-right: 10px;
	font-weight: 700
}

/* #endregion | LIMITE CARACTERES */


/* #region | TABELA RELAÇÃO */
.tabela-relacao {
	width: 100%;

	& thead {
		background: #ccc;

		& th {
			padding-top: 5px;
			padding-bottom: 5px;
			text-align: left;
			font-size: .9rem;
		}
	}

	& th:first-child,
	& td:first-child {
		padding-left: 10px;
	}

	& tbody tr {
		cursor: default;

		&:nth-child(even) {
			background: #d4d4d4;
		}

		&:hover {
			outline-width: 3px;
			outline-style: solid;
			outline-color: #000;
			background: #ffffff;
		}

		&.dado-alterado{
			background-color: #40df40;
		}
	}

	& td {
		padding-top: 10px;
		padding-bottom: 10px;
		border-bottom: 1px solid #666;
	}
}


.menu-acoes__item {
	&.item-com-subitens {
		position: relative;
	}
		&.item-com-subitens {
			.sub-itens {
				display: none;
				position: absolute;
				top: 40px;
				left: 0;
				width: 350px;
				padding: 10px;
				background: #003156;
				border-radius: 0 10px 10px 10px;
				z-index: 999999;
			}
				.sub-itens {
					.menu-acoes__item {
						height: auto;
						padding: 10px 20px;
						line-height: 1.2em;
					}
						.menu-acoes__item {
							@media (width >= 900px){
								padding: 5px 20px;
							}
						}

					&.ativo {
						display: block;
					}

					@media (width >= 900px){
						top: 0;
						left: 90%;
						width: 450px;
					}
				}
		}
}

.menu-acoes__item--excluir {
	opacity: .7;
	font-size: .9rem;
}

.menu-acoes__item--excluir img {
	filter: brightness(0) invert(1);
}

.menu-acoes__item--excluir:hover {
	background-color: #f00;
	opacity: 1;
}

.menu-acoes__item--vermelho:hover {
	background-color: #f00;
}


.tab-rel__acoes {
	vertical-align: middle;
}

.tab-rel__acoes__area-geral {
	position: relative;
	width: 44px;
	border-radius: 7px;
}

button.tab-rel__acoes__bt-abrir {
	display: grid;
	place-items: center;
	position: relative;
	width: 100%;
	height: 34px;
	background-color: transparent;
	border: none;
	outline: none;
	border-radius: 5px;
}

button.tab-rel__acoes__bt-abrir svg {
	stroke: #666;
	pointer-events: none;
}

.tabela-relacao tbody tr:hover button.tab-rel__acoes__bt-abrir {
	background-color: var(--azul-padrao);
}

.tabela-relacao tbody tr:hover button.tab-rel__acoes__bt-abrir svg {
	stroke: #fff;
}


.tab-rel__acoes__menu {
	display: none;
	position: absolute;
	top: -20px;
	left: 0;
	width: 360px;
	padding: 10px 8px;
	background: var(--azul-padrao);
	border-radius: 0 10px 10px 10px;
	z-index: 99999;
}

.tab-rel__acoes__menu > .menu-acoes__item {
	display: grid;
	grid-template-columns: 20px 1fr;
	height: 45px;
	padding-left: 10px;
	text-align: left;
	font-size: 1rem;
}

.tab-rel__acoes__menu .menu-acoes__item--excluir {
	font-size: .9rem;
}

button.menu-acoes__item {
	background-color: transparent;
	border: none;
}

.tab-rel__acoes__menu .menu-acoes__item img {
	height: 20px;
}

.tab-rel__acoes__menu .menu-acoes__item--excluir img {
	height: 18px;
}

.tab-rel__acoes__tr--ativo .tab-rel__acoes__area-geral {
	background: var(--menu__grupo-background--hover);
	z-index: 99999;
}

.tab-rel__acoes__tr--ativo .tab-rel__acoes__menu {
	display: block;
}

.tab-rel__acoes__area-geral--inativo {
	opacity: .2;
	pointer-events: none;
}


.RELACAO--menu-ativo .tabela-relacao tbody>tr {
	pointer-events: none;
}

tr.tab-rel__acoes__tr--ativo {
	pointer-events: all !important;
}
/* #endregion | TABELA RELAÇÃO */



/*#region | JANELA MODAL*/
.janela-modal {
	display: grid;
	place-items: center;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, .5);
	z-index: 9999999;
}

.janela-modal__interno {
	background-color: #fff;
}

.janela-modal__titulo {
	display: flex;
	align-items: center;
	height: 40px;
	background-color: #e5e5e5;
}

.janela-modal__titulo h1 {
	flex: 1;
	margin: 0;
	font-size: 1.1rem;
	font-weight: bold;
	text-align: center;
}

.janela-modal__conteudo {
	position: relative;
}

.janela-modal__conteudo-carregando {
	display: grid;
	place-content: center;
	place-items: center;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgb(0 0 0 / 70%);
	color: #fff;
	font-size: 1.2rem;
	font-style: italic;
	color: #ebebeb;
	text-align: center;
}

.janela-modal__area-botao-fechar {
	flex: 0 0 50px;
}

.janela-modal__area-botao-fechar button {
	display: grid;
	place-items: center;
	width: 100%;
	height: 100%;
	font-size: 32px;
	font-weight: bold;
	color: #666;
	border: none;
	background-color: transparent;
}

.janela-modal__area-botao-fechar button:hover {
	color: #fff;
	background-color: #f00;
}

/*#endregion*/



@media only screen and (min-width:600px) {
	.principal__geral {
		grid-template-columns: 100px 1fr;
	}
}

@media only screen and (min-width:1366px) {
	:root {
		--form__campos_Height: var(--form__campos_height-PEQ);
		--form__campos_fontSize: var(--form__campos_fontSize-PEQ);
	}


	/* #region | CABECALHO TELA */
	.cabecalho-tela {
		.interno{
			.menus__area-geral{
				.botao-abrir-menu {
					display: none;
				}

				.menu-principal-e-diversos {
					display: flex;
					align-items: center;

					& a.link-versao-vendedor {
						height: 30px;
						width: 180px;
						margin-right: 50px;
					}

					.menu-principal {
						align-items: center;
						column-gap: 20px;
						width: auto;
						margin-top: 0;
						font-size: 1.1rem;
						position: static;

						& > a{
							padding: 10px 20px;
						}

						& > a,
						.mpg__titulo{
							border-radius: 7px;

							&:hover{
								background: #001145;
							}
						}

						.mp__grupo {
							color: #dcdcdc;

							.mpg__titulo {
								padding: 10px 20px;

								&::after{
									margin-left: 15px;
								}
							}

							.mpg__links {
								row-gap: 5px;
								width: unset;
								position: absolute;
								top: 32px;
								left: 0;
								height: 251px;
								width: 400px;
								padding: 15px 7px 10px 7px;

								.mpg__sub-grupo{
									padding-top: 10px;
								}

								& a {
									padding: 5px 15px;
									font-size: 1em;
									text-align: left;
									white-space: nowrap;
									overflow: hidden;
									text-overflow: ellipsis;
									flex-direction: row;
								}
							}
						}
					}

					.menu-secundario {
						margin: 0 0 0 30px;

						& img {
							width: 30px;
						}
					}
				}
			}
		}
	}
	/* #endregion | CABECALHO TELA */


	.tab-rel__acoes__menu .menu-acoes__item {
		height: 30px;
	}

	.form__campos {
		flex-direction: row;
		column-gap: 30px;
	}

	.form__campo {
		flex: 1;
	}
		.form__campo{
			.label_radio,
			.label_checkbox {
				font-size: 1rem;
			}

			& input[type="radio"],
			& input[type="checkbox"] {
				width: 22px;
				height: 22px;
			}

			& > label {
				font-size: .9rem;
			}
		}

	.form__campos__radios_checks {
		flex-direction: row;
		column-gap: 20px;
		margin-top: 5px;
	}

	button[type="submit"],
	button.botao-submeter {
		padding: 4px 0;
	}
}

@media only screen and (min-width:1400px) {
	.cabecalho-tela .interno,
	.principal__geral,
	.conteudo-largura-grande-fixa {
		width: 1340px;
	}
}